#ifndef __LUT_H__
#define __LUT_H__

typedef struct st_lut_t
{
	/* in case we cannot use a lut or have to work
	 * in the fp domain */
	float gamma;

	unsigned char  lut8[256];
	unsigned short lut16[65536];
} lut_t;

void lut_init(lut_t *);
void lut_gamma(lut_t *, float);

#endif
