/* timer.h 
 * Copyright (C) 2001 by The matterial Developers 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __TIMER_H__
#define __TIMER_H__

#ifdef X86_LINUX_TIMER
	#define my_timer unsigned long long int 
#else
	#define my_timer struct timeval
#endif

void TimerInit();
void TimerStart(my_timer *);
double TimerEnd(my_timer);
int TimerSleep(my_timer, my_timer);
int TimerSleepAndReset(my_timer *, my_timer);

my_timer SecsToClocks(double);

#endif
